Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a single field by id.
cURL
curl --request GET \ --url https://api.useinvent.com/orgs/tables/{table_id}/fields/{field_id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.useinvent.com/orgs/tables/{table_id}/fields/{field_id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.useinvent.com/orgs/tables/{table_id}/fields/{field_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/tables/{table_id}/fields/{field_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/tables/{table_id}/fields/{field_id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.useinvent.com/orgs/tables/{table_id}/fields/{field_id}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/tables/{table_id}/fields/{field_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "id": "<string>", "table_id": "<string>", "key": "<string>", "type": "id", "schema": { "type": "id", "name": "<string>", "description": "<string>", "optional": true, "array": true, "placeholder": "<string>", "display": { "field": "inline", "container": "grid", "empty": "show" }, "prefix": "<string>" }, "readonly": true, "sortable": true, "groupable_in": [ "table" ], "kind": "system" }
Bearer token authentication using your API key
Table ID
Field ID
id
string
number
boolean
date
datetime
enum
file
record
contact
user
chat
segment
assistant
agent
A user-created field: the table field types, without the props only built-in definitions set
Show child attributes
Whether views can sort their records by this field.
View kinds that accept this field as their grouping axis.
table
board
calendar
timeline
list
gallery
system
Was this page helpful?